import { Location } from "../context";
export declare enum NodeType {
    ELEMENT_NODE = 1,
    DOCUMENT_NODE = 9
}
export declare function reset(): void;
export declare class DOMNode {
    readonly nodeName: string;
    readonly nodeType: NodeType;
    readonly childNodes: DOMNode[];
    readonly location: Location;
    readonly unique: number;
    private disabledRules;
    constructor(nodeName: string, location?: Location);
    append(node: DOMNode): void;
    isRootElement(): boolean;
    disableRule(ruleId: string): void;
    enableRule(ruleId: string): void;
    ruleEnabled(ruleId: string): boolean;
}
